Brand
Retrieve brand intelligence for a domain (extracted from the live site)
GET
/brand/retrieveAuthorization
api-key AuthorizationBearer <token>
Enter your API key with the bc_ prefix
In: header
Query Parameters
domain*string
The domain (or URL) to extract brand intelligence from
maxAgeMs?number
Maximum cache age in milliseconds before refreshing.
Range
0 <= value <= 7776000000BrandRetrieveMaxAgeMs?number
Alternate parameter name for maxAgeMs.
Range
0 <= value <= 7776000000timeoutMS?number
Request timeout hint in milliseconds.
Range
1000 <= value <= 120000forceLanguage?string
Preferred language hint for extraction.
maxSpeed?boolean
Prefer the fastest existing fetch path when possible.
Default
falseResponse Body
application/json
curl -X GET "https://example.com/brand/retrieve?domain=example.com"{ "success": true, "data": { "status": "ok", "code": 200, "brand": { "domain": "example.com", "title": "Example", "description": "Example brand description.", "slogan": "Building the future.", "colors": [ { "hex": "#1d4ed8" } ], "logos": [ { "url": "https://cdn.berrycrawl.com/brand/logos/sha256.png", "type": "logo", "mode": "transparent", "resolution": { "width": 512, "height": 512, "aspect_ratio": 1 }, "colors": [ { "hex": "#1d4ed8" } ] } ], "backdrops": [ { "url": "https://cdn.berrycrawl.com/brand/backdrops/sha256.jpg", "resolution": { "width": 1200, "height": 630, "aspect_ratio": 1.9048 }, "colors": [ { "hex": "#111827" } ] } ], "socials": [ { "type": "x", "url": "https://x.com/example" }, { "type": "linkedin", "url": "https://linkedin.com/company/example" } ], "stock": null, "is_nsfw": false, "email": "hello@example.com", "phone": null, "links": { "careers": "https://example.com/careers", "privacy": "https://example.com/privacy", "terms": null, "contact": "https://example.com/contact", "blog": null, "pricing": "https://example.com/pricing" }, "primary_language": "en" }, "key_metadata": { "credits_consumed": 10, "credits_remaining": 4992 } }}Empty
Empty
Empty